Get All User Positions
curl --request GET \
--url https://api.limitless.exchange/portfolio/{account}/positionsimport requests
url = "https://api.limitless.exchange/portfolio/{account}/positions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.limitless.exchange/portfolio/{account}/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rewards": {
"todaysRewards": "50250000",
"totalUnpaidRewards": "200750000",
"totalUserRewardsLastEpoch": "150500000",
"rewardsByEpoch": [
{
"epochId": 1,
"timestamp": "2024-01-01T00:00:00.000Z",
"totalRewards": "1500000",
"userRewards": "150000",
"earnedPercent": 0.1
}
],
"rewardsChartData": [
{
"timestamp": 1672531200000,
"userRewards": "25000000",
"totalRewards": "60000000"
}
]
},
"points": 123,
"accumulativePoints": 456,
"amm": [
{
"market": {},
"outcomeIndex": 0,
"collateralAmount": "100500000",
"latestTrade": {},
"outcomeTokenAmount": "50250000",
"account": "0x1234567890123456789012345678901234567890"
}
],
"clob": [
{
"market": {
"address": "<string>",
"title": "<string>",
"proxyTitle": null,
"description": "<string>",
"question_id": {},
"condition_id": {},
"position_ids": [
"<array>"
],
"outcome_slot_count": 2,
"winning_index": 0.5,
"payout_numerators": [
"<string>"
],
"status": "<string>",
"og_url": "<string>",
"image_url": "<string>",
"deadline": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"hidden": false,
"txHash": null,
"resolutionTxHash": null,
"priority_index": null
},
"positions": {
"yes": {
"cost": "75000000",
"fillPrice": "750000",
"realisedPnl": "0",
"unrealizedPnl": "25000000",
"marketValue": "100000000"
},
"no": {
"cost": "25000000",
"fillPrice": "250000",
"realisedPnl": "0",
"unrealizedPnl": "-5000000",
"marketValue": "20000000"
}
},
"tokensBalance": {},
"orders": {},
"latestTrade": {},
"rewards": {}
}
],
"group": [
{}
]
}Public Portfolio
Get User Positions (Public)
Retrieve all positions for a specific user address
GET
/
portfolio
/
{account}
/
positions
Get All User Positions
status: RESOLVED and winningOutcomeIndex indicate that the winning outcome is known in the API response. They do not guarantee that the underlying conditional token payout has already been settled on-chain or that the position is immediately redeemable. See Programmatic API - Lifecycle after a trade.Path Parameters
User Ethereum address
Example:
"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
Response
200 - application/json
Complete list of user positions
Rewards information for the portfolio
Show child attributes
Show child attributes
User points
Example:
123
User accumulative points
Example:
456
List of AMM positions
Show child attributes
Show child attributes
List of CLOB positions
Show child attributes
Show child attributes
Grouped CLOB positions (if enabled)
⌘I